# $Id: kernel-modules-hpt.spec,v 1.3 2003/11/28 19:59:43 vsu Exp $

%define module_name	hpt
%define module_version	2003.10.24
%define module_release	alt3.2

%define kversion	2.4.22
%define krelease	alt2
%define flavour		wks-smp

%define base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/')

%define kgcc		gcc-2.96
%define kgcc_package	gcc2.96


%ifdef use_ccache
%define kcc "ccache %kgcc"
%else
%define kcc "%kgcc"
%endif

%define module_dir /lib/modules/%{kversion}-%{flavour}-%{krelease}/%module_name

Summary:	HighPoint Technologies IDE/RAID controller drivers
Name:		kernel-modules-%{module_name}-%{flavour}
Version:	%{module_version}
Release:	%{module_release}
License:	Distributable
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
BuildPreReq:	kernel-build-tools
BuildRequires:	%kgcc_package
BuildRequires:	modutils
BuildRequires:	perl
BuildRequires:	rpm >= 4.0.2-75
BuildRequires:  kernel-headers-%{flavour} = %{kversion}-%{krelease}
BuildRequires:  kernel-headers-modules-%{flavour} = %{kversion}-%{krelease}
BuildRequires:  kernel-source-%{module_name}-%{module_version}

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%{flavour} = %{kversion}-%{krelease}
Requires(postun): kernel-image-%{flavour} = %{kversion}-%{krelease}
ExclusiveArch:	%{ix86}

%description
Drivers for HighPoint Technologies IDE/RAID controllers.

These are modules for your ALT Linux system.

%prep

rm -rf kernel-source-%{module_name}-%{module_version}

tar -jxvf %kernel_src/kernel-source-%{module_name}-%{module_version}.tar.bz2

%setup -D -T -n kernel-source-%{module_name}-%{module_version}

%build
# Some HPT drivers want to know about SMP but use their own defines instead of
# CONFIG_SMP
smpflag=
if %__grep -qs "CONFIG_SMP=y" %_usrsrc/linux-%kversion-%flavour/.config; then
	smpflag="SMP=1"
fi
%__make CC=%kcc KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour $smpflag

%install
%__make install MODULE_INSTALL_DIR=%buildroot/%module_dir \
	DOC_DIR=%buildroot/%_docdir/%name-%version-%release

%post
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%files
%module_dir
%doc %_docdir/%name-%version-%release

%changelog
* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.24-alt3.2
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.24-alt2.2
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Fri Oct 24 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.24-alt1.2
- Initial build

